package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.SysMenu;
import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.function.Function;
import com.ruoyi.system.api.domain.SysDept;
import com.fasterxml.jackson.annotation.JsonInclude;
import java.util.List;
import java.io.Serializable;

public class TreeSelect implements Serializable
{
    private static final long serialVersionUID = 1L;
    private Long id;
    private String label;
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<TreeSelect> children;
    
    public TreeSelect() {
    }
    
    public TreeSelect(final SysDept dept) {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();
        this.children = (List)dept.getChildren().stream().map(TreeSelect::new).collect(Collectors.toList());
    }
    
    public TreeSelect(final SysMenu menu) {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();
        this.children = (List)menu.getChildren().stream().map(TreeSelect::new).collect(Collectors.toList());
    }
    
    public Long getId() {
        return this.id;
    }
    
    public void setId(final Long id) {
        this.id = id;
    }
    
    public String getLabel() {
        return this.label;
    }
    
    public void setLabel(final String label) {
        this.label = label;
    }
    
    public List<TreeSelect> getChildren() {
        return this.children;
    }
    
    public void setChildren(final List<TreeSelect> children) {
        this.children = children;
    }
}
